package de.hdm_stuttgart.mi.sd1.task1;

import de.hdm_stuttgart.mi.sd1.task2.Sentence;

/**
 * <p>Email helper method.</p>
 */
public class _2_Email {
    /**
     * <p>Get the username part of an email address.</p>
     *
     * <p>Example: Given the email <code>Sally@domus.com</code> this method will return <code>Sally</code></p>
     *
     * @param email A fully qualified valid email address containing exactly one inner <code>@</code> character.
     * @return The username part as being described above.
     *
     * <section class="implementationHints">
     *    <h4 class="implementationHints">Hints:</h4>
     *
     * <p>The {@link String#split(String)} method providing the argument <code>"@"</code> allows for decomposing
     * an e-mail address accordingly.</p>
     * </section>
     */
    static public String getUsername(final String email) {
        return email.split("@")[0];
    }

    private _2_Email(){/* Ignore me: Suppressing default constructor javadoc generation:
                                    javadoc does not include private constructors by default */}
}
